package jp.gihyo;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.form.Button;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.model.CompoundPropertyModel;

import com.google.inject.Inject;

public class ContactPage extends WebPage {
	
	@Inject
	private PersonService personService;
	
	public ContactPage(final GeneralPage previousPage) {
		super();
		final PersonModel personModel = previousPage.getPersonModel();
		Form form = new Form("form",
				new CompoundPropertyModel(personModel));
		form.add(new TextField("tel"));
		form.add(new TextField("email"));
		form.add(new Button("create") {
			@Override
			public void onSubmit() {
				personService.create(personModel);
				setResponsePage(new CompletePage(
						previousPage.getPersonModel()));
			}
		});
		form.add(new Button("back") {
			@Override
			public void onSubmit() {
				setResponsePage(previousPage);
			}
		});
		add(form);
	}

}
