package jp.gihyo;

import org.apache.wicket.util.tester.FormTester;
import org.apache.wicket.util.tester.WicketTester;

import junit.framework.TestCase;

public class TestCreatePerson extends TestCase {
	
	private WicketTester tester;
	
	@Override
	protected void setUp() {
		tester = new WicketTester(new WicketApplication());
	}

	@Override
	protected void tearDown() {
		tester = null;
	}

	public void testNormal() throws Exception {
		tester.startPage(GeneralPage.class);
		
		tester.assertRenderedPage(GeneralPage.class);
		FormTester formTester = tester.newFormTester("form");
		formTester.setValue("firstName", "Yoichiro");
		formTester.setValue("lastName", "Tanaka");
		formTester.setValue("age", "30's");
		formTester.submit();
		
		tester.assertRenderedPage(ContactPage.class);
		formTester = tester.newFormTester("form");
		formTester.setValue("tel", "123-4567-8901");
		formTester.setValue("email", "yoichiro@gihyo.jp");
		formTester.submit("create");
		
		tester.assertRenderedPage(CompletePage.class);
		tester.assertLabel("firstName", "Yoichiro");
		tester.assertLabel("lastName", "Tanaka (Created)");
	}

}
